.shop {
    // Variables para colores y tamaños
    $primary-color: var(--bs-primary);
    $secondary-color: var(--bs-secondary);
    $gray-color: gray;
    $light-bg: #f8f8f8;
    $white: white;
    $dark-color: #333;
    $light-dark-color: #666;

    .banner {
        min-height: 300px;
        display: flex;
        justify-content: center;
        align-items: center;
        text-transform: uppercase;
        font-weight: 800;
        font-family: 'Georgia', sans-serif;
        position: relative;
        margin-bottom: 20px;

        .backgroundBanner {
            background-image: url(img/pharmacy-background.jpg);
            position: absolute;
            width: 100%;
            height: 100%;
            background-size: cover;
            background-position: center;
        }

        
    }
    .title-section {
        position: relative;
        padding-top: 10px;

        &:before {
            content: "";
            left: 0;
            width: 5%;
            height: 4px;
            background: $secondary-color;
            position: absolute;
            top: 0;
        }
    }
    // Botones y controles
    .btn-search,
    select.form-select {
        border: 0 !important;
        background-color: transparent !important;
        border-radius: 0 !important;
        outline: 0 !important;
        box-shadow: none;

        &:focus {
            box-shadow: none;
        }
    }

    .form-control:focus,
    label::after {
        background-color: transparent !important;
    }

    .border_bottom {
        border-bottom: 1px solid $gray-color !important;
    }

    .grow-search {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }

    // Productos
    .item-category {
        margin-bottom: 40px;
    }

    .title-category {
        padding: 10px 0;
        margin: 0 0 20px 40px;
        text-transform: uppercase;
        font-weight: bold;
        position: relative;
    }

    .list-categorias {
        .header-list {
            max-width: 700px;
            width: 100%;
            display: flex;
            margin: auto;
        }

        .menu-container {
            display: flex;
            width: 100%;
            flex-wrap: nowrap;
            overflow: hidden;
            position: relative;
        }

        .menu-item {
            padding: 10px 15px;
            background-color: $light-bg;
            margin: 5px;
            cursor: pointer;
            white-space: nowrap;
            display: inline;

            &:hover {
                background-color: #e0e0e0;
            }

            a {
                position: relative;
                transition: color 0.5s ease-in-out;

                &::before {
                    content: '';
                    position: absolute;
                    bottom: -2px;
                    left: 0;
                    opacity: 0;
                    border: 1px solid $primary-color;
                    width: 100%;
                    transform: translateY(5px);
                    transition: opacity 0.5s ease-in-out, transform 0.5s ease-in-out;
                }

                &:hover::before,
                .active a::before {
                    opacity: 1;
                }
            }
        }
    }

    // Dropdown
    .dropdown.dropdown-categoria {
        position: relative;
        display: none;
        justify-content: center;
        align-items: center;
        max-width: max-content;

        .dropdown-toggle {
            padding: 10px 15px;
            background-color: #f0f0f0;
            cursor: pointer;
        }

        .dropdown-menu {
            display: none;
            position: absolute;
            top: 100%;
            right: 0;
            background-color: #f9f9f9;
            min-width: 100px;
            box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.2);

            .menu-item {
                display: block;
                background-color: $white;
                padding: 10px;
                margin: 0;

                &:hover {
                    background-color: #ddd;
                }
            }
        }
    }
    .active a::before {
        opacity: 1 !important;
    }
    // Cargando
    .content-loading {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 3%;

        .spinner-border {
            width: 4rem;
            height: 4rem;
            color: $primary-color;
        }
    }
    #product-list {
        padding-top: 20px;
    }
    // Grid de productos
    .product-grid {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
        gap: 20px;
        // padding: 20px;
        max-width: 1200px;
        margin: 0 auto;

        .product-card {
            background-color: $white;
            border: 1px solid #ddd;
            border-radius: 10px;
            overflow: hidden;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            transition: transform 0.2s, box-shadow 0.2s;

            &:hover {
                transform: translateY(-5px);
                box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
            }

            .img-content {
                width: 100%;
                height: 200px;
                min-height: 200px;
                overflow: hidden;

                img {
                    width: 100%;
                    height: 100%;
                    object-fit: cover;
                    object-position: center;
                }
            }

            .product-info {
                padding: 15px;
                text-align: center;

                h3 {
                    margin: 0;
                    color: $dark-color;
                }

                p {
                    margin: 10px 0;
                    color: $light-dark-color;
                }

                .price {
                    font-weight: bold;
                    color: #e74c3c;
                }

                button {
                    padding: 10px 20px;
                    background-color: #3498db;
                    color: white;
                    border: none;
                    border-radius: 5px;
                    cursor: pointer;
                    transition: background-color 0.3s;

                    &:hover {
                        background-color: #2980b9;
                    }
                }
            }
        }
    }

    // Cargar más
    .load-more {
        margin: auto;
        max-width: 200px;
        width: 100%;
        display: block;
        transition: .5s ease-in-out;
        transform: scale(0.8);

        &:hover {
            border: 1px solid $primary-color;
            transform: scale(1);
        }
    }

    // Mensajes
    #no-more {
        display: none;
    }

    .none-products {
        background-color: $white;
        padding: 10px;
        border-bottom: 1px solid rgba(0, 0, 0, .2);
    }

    // Responsividad
    @media (max-width: 767.5px) {
        .product-card img {
            height: 150px;
        }
    }
    @media (max-width:575.9px) {
        section {
            padding-left: 5%;
            padding-right: 5%;
        }
    }
    @media (min-width:768px) {
        .product-grid{
            padding: 20px;
        }
    }
    @media (min-width: 1600px) {
        .item-product {
            max-width: none;
        }
    }
}